summaryrefslogtreecommitdiff
path: root/plugins/ssh-agent/ssh-agent.plugin.zsh
diff options
context:
space:
mode:
authorMarc Cornellà <hello@mcornella.com>2021-11-17 09:55:39 +0100
committerMarc Cornellà <hello@mcornella.com>2021-11-17 09:55:39 +0100
commit60b89cd264a5d889573704f5116cefc8e690062c (patch)
tree112563401f04e476047aae12c4aae511365669d0 /plugins/ssh-agent/ssh-agent.plugin.zsh
parentfb12e4135311b9c4189a7e4556be619922052f6b (diff)
downloadzsh-60b89cd264a5d889573704f5116cefc8e690062c.tar.gz
zsh-60b89cd264a5d889573704f5116cefc8e690062c.tar.bz2
zsh-60b89cd264a5d889573704f5116cefc8e690062c.zip
feat(ssh-agent): add `quiet` option to silence plugin (#9659)
Closes #9659 Co-authored-by: Jeff Warner <jeff@develops.software>
Diffstat (limited to 'plugins/ssh-agent/ssh-agent.plugin.zsh')
-rw-r--r--plugins/ssh-agent/ssh-agent.plugin.zsh12
1 files changed, 5 insertions, 7 deletions
diff --git a/plugins/ssh-agent/ssh-agent.plugin.zsh b/plugins/ssh-agent/ssh-agent.plugin.zsh
index 47dfef5b0..0d6a35b35 100644
--- a/plugins/ssh-agent/ssh-agent.plugin.zsh
+++ b/plugins/ssh-agent/ssh-agent.plugin.zsh
@@ -18,7 +18,7 @@ function _start_agent() {
zstyle -s :omz:plugins:ssh-agent lifetime lifetime
# start ssh-agent and setup environment
- echo Starting ssh-agent...
+ zstyle -t :omz:plugins:ssh-agent quiet || echo >&2 "Starting ssh-agent ..."
ssh-agent -s ${lifetime:+-t} ${lifetime} | sed '/^echo/d' >! "$ssh_env_cache"
chmod 600 "$ssh_env_cache"
. "$ssh_env_cache" > /dev/null
@@ -78,7 +78,7 @@ function _add_identities() {
if [[ -n "$helper" ]]; then
if [[ -z "${commands[$helper]}" ]]; then
- echo "ssh-agent: the helper '$helper' has not been found."
+ echo >&2 "ssh-agent: the helper '$helper' has not been found."
else
SSH_ASKPASS="$helper" ssh-add "${args[@]}" ${^not_loaded} < /dev/null
return $?
@@ -88,11 +88,9 @@ function _add_identities() {
ssh-add "${args[@]}" ${^not_loaded}
}
-# test if agent-forwarding is enabled
-zstyle -b :omz:plugins:ssh-agent agent-forwarding agent_forwarding
-
-# Add a nifty symlink for screen/tmux if agent forwarding
-if [[ $agent_forwarding = "yes" && -n "$SSH_AUTH_SOCK" && ! -L "$SSH_AUTH_SOCK" ]]; then
+# Add a nifty symlink for screen/tmux if agent forwarding is enabled
+if zstyle -t :omz:plugins:ssh-agent agent-forwarding \
+ && [[ -n "$SSH_AUTH_SOCK" && ! -L "$SSH_AUTH_SOCK" ]]; then
ln -sf "$SSH_AUTH_SOCK" /tmp/ssh-agent-$USERNAME-screen
else
_start_agent